Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229729 - Anaconda has timezones in POT file even timezones are taken from system-config-date/timezones
Summary: Anaconda has timezones in POT file even timezones are taken from system-confi...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-22 23:23 UTC by Milan Kerslager
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-23 15:30:30 UTC


Attachments (Terms of Use)

Description Milan Kerslager 2007-02-22 23:23:51 UTC
I'm not completly sure, but...

There are some timezones in the Anaconda's POT file which should be translated
(generated from zone.tab). But timezones are taken from
system-config-date/timezones POT file (like the screen for timezone config where
Anaconda is taking translations from system-config-date and timezone list from
system-config-date/timezones). This seems to me like Anaconda's POT file contain
old timezone list (in zone.tab).

Please check it out and remove unneded strings for translation if the complete
timezone selection is now from system-config-date package.

Also consider to commit translations and rebuild system-config-date by
daily/weekly basis to allow translations to appear in the devel tree (to allow
to test them by Fedora translators in the test cycle for FC7).

Comment 1 Chris Lumens 2007-02-23 15:30:30 UTC
The strings were being included from /usr/share/zoneinfo/zone.tab for text mode
installs but we can easily get around having that by just including the
system-config-date .mo files in the text environment.  This will be fixed in the
next build of anaconda.


Note You need to log in before you can comment on or make changes to this bug.